<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."simpladd/infusion_db.php";

if (file_exists(SIMPLADD_INF."locale/".$settings['locale'].".php")) {
	include SIMPLADD_INF."locale/".$settings['locale'].".php";
} else {
	include SIMPLADD_INF."locale/English.php";
}

$inf_title = $locale['smp001'];
$inf_description = $locale['smp002'];
$inf_version = "1.1";
$inf_developer = "HobbyMan";
$inf_email = "";
$inf_weburl = "http://www.hobbysites.net/";

$inf_folder = "simpladd";

$inf_newtable[1] = DB_SIMPLADD." (
  `simpl_status` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `simpl_0` varchar(11) NOT NULL DEFAULT '0',
  `simpl_1` varchar(11) NOT NULL DEFAULT '0',
  `simpl_2` varchar(11) NOT NULL DEFAULT '0',
  `simpl_3` varchar(11) NOT NULL DEFAULT '0',
  `simpl_4` varchar(11) NOT NULL DEFAULT '0',
  `simpl_5` varchar(11) NOT NULL DEFAULT '0',
  `simpl_6` varchar(11) NOT NULL DEFAULT '0',
  `simpl_7` varchar(11) NOT NULL DEFAULT '0',
  `simpl_8` varchar(11) NOT NULL DEFAULT '0',
  `simpl_9` varchar(11) NOT NULL DEFAULT '0',
  `simpl_10` varchar(11) NOT NULL DEFAULT '0',
  `simpl_plus` varchar(11) NOT NULL DEFAULT '0',
  `simpl_multiply` varchar(11) NOT NULL DEFAULT '0',
  `simpl_subtract` varchar(11) NOT NULL DEFAULT '0',
  `simpl_divide` varchar(11) NOT NULL DEFAULT '0',
  `simpl_colour` varchar(11) NOT NULL DEFAULT '', 
  `simpl_datestamp` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`simpl_status`)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_SIMPLADD." (simpl_status, simpl_0, simpl_1, simpl_2, simpl_3, simpl_4, simpl_5, simpl_6, simpl_7, simpl_8, simpl_9, simpl_10, simpl_plus, simpl_multiply, simpl_subtract, simpl_divide, simpl_colour, simpl_datestamp) 
VALUES ('0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '".$locale['smp016']."', '".time()."')";

$inf_droptable[1] = DB_SIMPLADD;

$inf_adminpanel[1] = array(
	"title" => $locale['smp003'],
	"image" => "simpladd.gif",
	"panel" => "simpladd_admin.php",
	"rights" => "SADD"
);
?>