<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: simpladd_admin.php
| Author: Philip Daly (HobbyMan)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."simpladd/infusion_db.php";
require SIMPLADD_INF."inc.php";

if (file_exists(SIMPLADD_INF."locale/".$settings['locale'].".php")) {
	include SIMPLADD_INF."locale/".$settings['locale'].".php";
} else {
	include SIMPLADD_INF."locale/English.php";
}

if (!checkrights("SADD") || !defined("iAUTH")) { redirect("../../index.php"); }

add_to_title($locale['global_200'].$locale['smp003']);
$filenames_inf = dbarray(dbquery("SELECT * FROM ".DB_SIMPLADD));
$error = "";

// Update Filenames

    if (isset($_POST['randomize_entries'])) {
    
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_status = '0'");

    $colour = stripinput(strtolower($_POST['colour_chioce']));
    $query = dbquery("SELECT * FROM ".DB_SIMPLADD." WHERE simpl_status = '0'");
     while ($data = dbarray($query)) {
    
    @unlink(SIMPLADD_IMG.$data['simpl_0'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_1'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_2'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_3'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_4'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_5'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_6'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_7'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_8'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_9'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_10'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_plus'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_multiply'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_subtract'].".png");
    @unlink(SIMPLADD_IMG.$data['simpl_divide'].".png");
    @unlink(SIMPLADD_IMG."equals.png");
    @unlink(SIMPLADD_IMG."answer.png");
    }
	
	    for ($i = 0; $i <= 10; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_".$i." = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/".$i.".png", SIMPLADD_IMG.$i.".png");
    @rename(SIMPLADD_IMG.$i.".png", SIMPLADD_IMG.$filename.".png");
       }
       
       for ($i = 1; $i <= 1; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_plus = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/plus.png", SIMPLADD_IMG."plus.png");
    @rename(SIMPLADD_IMG."plus.png", SIMPLADD_IMG.$filename.".png");
       }
       
        for ($i = 1; $i <= 1; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_multiply = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/multiply.png", SIMPLADD_IMG."multiply.png");
    @rename(SIMPLADD_IMG."multiply.png", SIMPLADD_IMG.$filename.".png");
       }
       
       for ($i = 1; $i <= 1; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_subtract = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/subtract.png", SIMPLADD_IMG."subtract.png");
    @rename(SIMPLADD_IMG."subtract.png", SIMPLADD_IMG.$filename.".png");
       }
       
       for ($i = 1; $i <= 1; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_divide = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/divide.png", SIMPLADD_IMG."divide.png");
    @rename(SIMPLADD_IMG."divide.png", SIMPLADD_IMG.$filename.".png");
       }
    
    @copy(SIMPLADD_INF."images/".$colour."/equals.png", SIMPLADD_IMG."equals.png");
    @copy(SIMPLADD_INF."images/".$colour."/answer.png", SIMPLADD_IMG."answer.png");

    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_colour = '".$colour."', simpl_datestamp = '".time()."', simpl_status = '1'");
	$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink);
 }


// Install Filenames

    if (isset($_POST['install_entries'])) {
    
    $colour = stripinput(strtolower($_POST['colour_chioce']));
    $set_captcha = isset($_POST['set_captcha']) ? "1" : "0";
    @chmod(SIMPLADD_IMG, 0777);

	    for ($i = 0; $i <= 10; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_".$i." = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/".$i.".png", SIMPLADD_IMG.$i.".png");
    @rename(SIMPLADD_IMG.$i.".png", SIMPLADD_IMG.$filename.".png");
       }
       
       for ($i = 1; $i <= 1; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_plus = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/plus.png", SIMPLADD_IMG."plus.png");
    @rename(SIMPLADD_IMG."plus.png", SIMPLADD_IMG.$filename.".png");
       }
       
        for ($i = 1; $i <= 1; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_multiply = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/multiply.png", SIMPLADD_IMG."multiply.png");
    @rename(SIMPLADD_IMG."multiply.png", SIMPLADD_IMG.$filename.".png");
       }
       
       for ($i = 1; $i <= 1; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_subtract = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/subtract.png", SIMPLADD_IMG."subtract.png");
    @rename(SIMPLADD_IMG."subtract.png", SIMPLADD_IMG.$filename.".png");
       }
       
       for ($i = 1; $i <= 1; $i++) {
	    $filename = filename();
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_divide = '".$filename."' WHERE simpl_status = '0'");
    @copy(SIMPLADD_INF."images/".$colour."/divide.png", SIMPLADD_IMG."divide.png");
    @rename(SIMPLADD_IMG."divide.png", SIMPLADD_IMG.$filename.".png");
       }
    
    @copy(SIMPLADD_INF."images/".$colour."/equals.png", SIMPLADD_IMG."equals.png");
    @copy(SIMPLADD_INF."images/".$colour."/answer.png", SIMPLADD_IMG."answer.png");  
       
    $query = dbquery("UPDATE ".DB_SIMPLADD." SET simpl_colour = '".$colour."', simpl_status = '1' WHERE simpl_status = '0'");
    
    if($set_captcha) {
    $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='simpladd' WHERE settings_name='captcha'");
    }

	$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink);
 }

opentable($locale['smp003']);

// Install Form
echo "<br /><br /><center>\n";
if (!$filenames_inf['simpl_status']) {

// Check if SimplAdd can be installed
    if (!file_exists(SIMPLADD."index.php") || !file_exists(SIMPLADD_IMG."index.php")) {  $error .=  "<li>".$locale['smp022']."</li>\n"; }
    if (!function_exists("rename")) {  $error .=  "<li>".$locale['smp023']."</li>\n"; }
    
    if ($error) {
    echo "<b>".$locale['smp021']."</b>\n";
    echo "<ul>".$error."</ul>\n";
    } else {
echo "<form name='install_entries_form' method='post' action='".FUSION_SELF."'>\n";
echo $locale['smp014'];
echo "<select name='colour_chioce' class='textbox'>\n";
    echo "<option value='".strtolower($locale['smp015'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp015']) ? " selected" : "").">".$locale['smp015']."</option>\n";
    echo "<option value='".strtolower($locale['smp016'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp016']) ? " selected" : "").">".$locale['smp016']."</option>\n";
    echo "<option value='".strtolower($locale['smp017'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp017']) ? " selected" : "").">".$locale['smp017']."</option>\n";
    echo "<option value='".strtolower($locale['smp018'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp018']) ? " selected" : "").">".$locale['smp018']."</option>\n";
    echo "<option value='".strtolower($locale['smp019'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp019']) ? " selected" : "").">".$locale['smp019']."</option>\n";
    echo "</select>\n<br />\n";
    echo "<br /><label>".$locale['smp020']."<input type='checkbox' name='set_captcha' value='1' class='textbox' /></label><br /><br />\n";
    echo "<label><input type='submit' name='install_entries' value='".$locale['smp005']."' class='button' /></label>\n";
    echo "</form>\n";
    }
 } else {
 echo "<h3>".$locale['smp006']."</h3>\n";
 echo "<h4>".$locale['smp009'] ."</h4>\n";
 echo "<p>".$locale['smp011'].strftime('%d/%m/%Y %H:%M', $filenames_inf['simpl_datestamp']+($settings['timeoffset']*3600))."</p>\n";

// Randomize Form
echo "<form name='randomize_form' method='post' action='".FUSION_SELF."'>\n";
echo $locale['smp014'];
echo "<select name='colour_chioce' class='textbox'>\n";
    echo "<option value='".strtolower($locale['smp015'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp015']) ? " selected" : "").">".$locale['smp015']."</option>\n";
    echo "<option value='".strtolower($locale['smp016'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp016']) ? " selected" : "").">".$locale['smp016']."</option>\n";
    echo "<option value='".strtolower($locale['smp017'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp017']) ? " selected" : "").">".$locale['smp017']."</option>\n";
    echo "<option value='".strtolower($locale['smp018'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp018']) ? " selected" : "").">".$locale['smp018']."</option>\n";
    echo "<option value='".strtolower($locale['smp019'])."'".(strtolower($filenames_inf['simpl_colour']) == strtolower($locale['smp019']) ? " selected" : "").">".$locale['smp019']."</option>\n";
    echo "</select>\n<br /><br />\n";
echo "<label><input type='submit' name='randomize_entries' value='".$locale['smp012']."' class='button' /></label>\n";
echo "</form>\n";
 }

echo "</center><br />\n";
 if ($settings['captcha'] == "simpladd") { echo "<span style='float:right;'>".$locale['smp025']."<img src='".IMAGES."tick.png' alt='' style='border:0;vertical-align:middle;' /></span>\n"; }
 else {
 echo "<span style='float:right;'><a href='".ADMIN."settings_security.php".$aidlink."'>".$locale['smp026']."</a><img src='".IMAGES."no.png' alt='' style='border:0;vertical-align:middle;' /></span>\n";
 }

closetable();

opentable($locale['smp008']);

if ($filenames_inf['simpl_status']) {

        echo "<table class='tbl-border' align='center' width='80%'>\n<tr>\n";

		echo "<td align='center' class='tbl1'><b>0</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_0'].".png' alt='".$filenames_inf['simpl_0']."' /></td>\n";
		echo "<td align='center' class='tbl2'><b>1</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_1'].".png' alt='".$filenames_inf['simpl_1']."' /></td>\n";
		echo "<td align='center' class='tbl1'><b>2</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_2'].".png' alt='".$filenames_inf['simpl_2']."' /></td>\n";
		echo "<td align='center' class='tbl2'><b>3</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_3'].".png' alt='".$filenames_inf['simpl_3']."' /></td>\n";
		echo "<td align='center' class='tbl1'><b>4</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_4'].".png' alt='".$filenames_inf['simpl_4']."' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td align='center' class='tbl2'><b>5</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_5'].".png' alt='".$filenames_inf['simpl_5']."' /></td>\n";
		echo "<td align='center' class='tbl1'><b>6</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_6'].".png' alt='".$filenames_inf['simpl_6']."' /></td>\n";
		echo "<td align='center' class='tbl2'><b>7</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_7'].".png' alt='".$filenames_inf['simpl_7']."' /></td>\n";
		echo "<td align='center' class='tbl1'><b>8</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_8'].".png' alt='".$filenames_inf['simpl_8']."' /></td>\n";
		echo "<td align='center' class='tbl2'><b>9</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_9'].".png' alt='".$filenames_inf['simpl_9']."' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td align='center' class='tbl1'><b>10</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_10'].".png' alt='".$filenames_inf['simpl_10']."' /></td>\n";
		echo "<td align='center' class='tbl2'><b>Plus</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_plus'].".png' alt='".$filenames_inf['simpl_plus']."' /></td>\n";
		echo "<td align='center' class='tbl1'><b>Multiply</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_multiply'].".png' alt='multiply' /></td>\n";
		echo "<td align='center' class='tbl2'><b>Subtract</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_subtract'].".png' alt='subtract' /></td>\n";
		echo "<td align='center' class='tbl1'><b>Divide</b><br /><img src='".SIMPLADD_IMG.$filenames_inf['simpl_divide'].".png' alt='divide' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td align='center' class='tbl2' colspan='5'><b>".$locale['smp007']."</b></td>\n";
		echo "</tr></table>\n";
		echo "<br />\n";
		echo "<table class='tbl-border' align='center' width='80%'>\n<tr>\n";
		echo "<td align='right' class='tbl2'><b>".$locale['smp024']."</b><td>\n";
		echo "<td align='center' class='tbl1'><b>Equals</b><br /><img src='".SIMPLADD_IMG."equals.png' alt='multiply' /></td>\n";
		echo "<td align='center' class='tbl2'><b>Answer</b><br /><img src='".SIMPLADD_IMG."answer.png' alt='multiply' /></td>\n";
		echo "</tr></table>\n";
		
	   } else
	{ echo "<br /><div align='center'>".$locale['smp010']."</div><br />\n";
  }

closetable();

// Footer
$data_v = dbarray(dbquery("SELECT inf_title, inf_version FROM ".DB_INFUSIONS." WHERE inf_title='".$locale['smp001']."'"));	
echo "<br /><div class='tbl-border' align='center'><b>".$locale['smp002']." v".$data_v['inf_version']."</b> by <a target='_blank' href='http://www.hobbysites.net/' title='HobbyMan'>HobbyMan</a><br /><a target='_blank' href='http://www.hobbysites.net/' title='HobbyMan'><img src='".SIMPLADD_INF."/images/hs_lwr.gif' alt='Logo'></a><br />&copy hobbysites.net ".date("Y")."</div>\n";

require_once THEMES."templates/footer.php";
?>